% This functions read the .csv and returns a matrix
function xj = TECFunc_read_xj_csv(filename, startrow, startcol)
	% Author: Rayalejandro.lattarulo@tecnalia.com
    
    [funcStruct,~] = dbstack;
    TECFunc_disp('Message',funcStruct.name,'Entering in function.');
    
    % Verifing default values
    if exist('startrow','var') == 0
        TECFunc_disp('Warning',funcStruct.name,'The starting row was defined by default.');
        startrow = 2;
    end
    if exist('startcol','var') == 0
        TECFunc_disp('Warning',funcStruct.name,'The starting column was defined by default.');
        startcol = 1;
    end
    
    % Verification of the parameters 
    if startcol < 1
        startcol = 1;
    end
    if startrow < 1
        startrow = 1;
    end
    
    % Creation of the variable
    xj = dlmread(filename, ',',startrow-1,startcol-1);
end