% This function scale the matrix Xj
function [t,oxj] = TECFunc_scale_xj(ixj)
	% Author: Rayalejandro.lattarulo@tecnalia.com
    
    [funcStruct,~] = dbstack;
    TECFunc_disp('Message',funcStruct.name,'Entering in function.');
    xj = ixj;

    % verification of the variable xj
    codeOK = 1;
    if numel(xj(1,:)) < 7
        TECFunc_disp('Error',funcStruct.name,'The matrix Xj does not have the correct dimension (number of columns).');
        codeOK = 0;
        xj = zeros([numel(xj(:,1)) 7]);
    end
    
    % Results of the function
    if codeOK == 1
        xj(:,4) = + xj(:,4);
        xj(:,5) = + xj(:,5);
        xj(:,6) = + xj(:,6);
        xj(:,7) = + xj(:,7);
    end
    oxj = xj(:,2:7);
    t   = xj(:,1);
end